#2616 closed defect (fixed)

Automake 1.12.6 warning with recent perl releases

Reported by: Chris Johns Owned by: Chris Johns <chrisj@…>
Priority: normal Milestone: 4.11
Component: build Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

A recent perl as shipped with MSYS2 is generating a warning. We should patch 1.12.6 to remove the warning. It is distracting when bootstrapping RTEMS.

Attachments (1)

automake-1.12.6-bugzilla.redhat.com-1239379.diff (408 bytes) - added by Sebastian Huber on Nov 10, 2017 at 7:29:34 AM.

Download all attachments as: .zip

Change History (9)

comment:1 Changed on Feb 28, 2016 at 10:03:26 PM by Chris Johns <chrisj@…>

In 6bc1ecedd24082765af250fb72baf20fa48d4afd/rtems-tools:

Fix ithe automake warning with newer perl versions.

This patch is based on this post ..

https://lists.gnu.org/archive/html/automake-patches/2015-07/msg00000.html

This warnign appears with a recent MSYS2.

Update #2616.

comment:2 Changed on Feb 28, 2016 at 10:05:29 PM by Chris Johns <chrisj@…>

In a4c070c4efbc9d9f229e7253b79698c799e4cfeb/rtems-tools:

Fix ithe automake warning with newer perl versions.

This patch is based on this post ..

https://lists.gnu.org/archive/html/automake-patches/2015-07/msg00000.html

This warnign appears with a recent MSYS2.

Update #2616.

comment:3 Changed on Feb 28, 2016 at 11:06:57 PM by Chris Johns <chrisj@…>

Owner: set to Chris Johns <chrisj@…>
Resolution: fixed
Status: newclosed

In e0fab0a5049998fadfe482186618ff83a1b43abb/rtems-source-builder:

config: Patch automake-1.12.6 to remove warning on newer perl versions.

Closes #2616.

comment:4 Changed on Feb 28, 2016 at 11:07:13 PM by Chris Johns <chrisj@…>

In 4b0baed21fca6d678ff7eb35a1d340df382f88b3/rtems-source-builder:

config: Patch automake-1.12.6 to remove warning on newer perl versions.

Closes #2616.

comment:5 Changed on Feb 28, 2016 at 11:44:50 PM by Chris Johns <chrisj@…>

In 76188ee494ddcc894be567f40c14b947cee057bf/rtems-source-builder:

sb: Remove http query flags from the file name if present.

The query flags such as '?h=4.11' to select a branch cannot appear
in the file name on Windows. This patch removes the query part from
the file name.

Update #2616.

comment:6 Changed on Feb 28, 2016 at 11:45:03 PM by Chris Johns <chrisj@…>

In 8dbb3a0dddaadad1041271d3a794a3570ea05878/rtems-source-builder:

sb: Remove http query flags from the file name if present.

The query flags such as '?h=4.11' to select a branch cannot appear
in the file name on Windows. This patch removes the query part from
the file name.

Update #2616.

comment:7 Changed on Oct 10, 2017 at 6:00:49 AM by Sebastian Huber

Component: Automakebuild

comment:8 Changed on Nov 10, 2017 at 8:17:00 AM by Sebastian Huber <sebastian.huber@…>

In 33f1deb/rtems-source-builder:

5: Use ticket attachment for automake patch

Update #2616.

Note: See TracTickets for help on using tickets.